# Create noname card bulk Create up to 1000 noname cards per bulk/batch process. After calling this endpoint, call [Start noname card bulk process](ref:start-bulk) to begin the bulk/batch card creation and embossing process. Noname cards are batch-generated and not initially associated with customers, which occurs later. Noname cards work well for special use cases like gift cards or in countries or scenarios where a password or chip might be required but not necessarily a printed card name. One card is created for each `external_id` entered. For more information on embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. For detailed information about embossing flows, refer to [Embossing flows](doc:physical-card-embossing#embossing-flows). # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Noname", "description": "Noname card endpoints. Noname cards are batch-generated and not initially associated with customers, which occurs later." } ], "components": { "schemas": { "ABUenabled": { "type": "boolean", "description": "\nThis field is **DEPRECATED**. For more information, refer to the [ABU documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#mastercards-automatic-billing-updater-option) in the Cards overview guide.\n\n\nWhen a card is created or reissued, or its account credentials change, Mastercard is notified if this feaure is enabled. Notification updates are sent to Mastercard on a daily basis. \n\nFor more information, refer to Mastercard's ABU documentation.\n", "example": true, "deprecated": true }, "BulkResponse": { "type": "object", "properties": { "abu_enabled": { "$ref": "#/components/schemas/ABUenabled" }, "contactless_enabled": { "$ref": "#/components/schemas/Contactless" }, "embossing_custom_field": { "$ref": "#/components/schemas/EmbossingCustomField" }, "id": { "type": "string", "description": "Bulk ID.", "example": "Bkdj9999" }, "metadata": { "additionalProperties": true, "type": "object", "description": "Additional key-value object information for operation." }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "template_id": { "$ref": "#/components/schemas/TemplateID" }, "size": { "type": "integer", "description": "Bulk size - number of cards", "example": 1200 }, "status": { "$ref": "#/components/schemas/BulkStatus" }, "validity_period_hours": { "$ref": "#/components/schemas/ValidityPeriodHours" } }, "example": { "id": "3e8d9c51-64c7-420d-ae53-87e2b76cf45e", "program_id": 8519, "template_id": "EAFA693A-57B2-4029-97F3-D20D6F06D79B", "embossing_custom_field": "Please make cards metal, not plastic", "contactless_enabled": false, "abu_enabled": false, "metadata": { "trackingID": 345660 }, "status": "CREATED", "size": 2 } }, "BulkStatus": { "type": "string", "description": "Bulk noname card job status.", "example": "CREATED", "enum": [ "CREATED", "RUNNING", "COMPLETED" ] }, "Contactless": { "type": "boolean", "description": "For physical cards. Is card enabled for contactless transactions? \n \nWith contactless transactions, you hold or tap the card on contactless-enabled card reader to complete a transaction. This requires that both the card and the terminal have Near Field Communication (NFC) technology. Most embossers can create plastic contactless cards.\n\nDefault is `true`.\n", "default": true, "example": false }, "CreateBulk": { "type": "object", "required": [ "external_ids", "program_id" ], "properties": { "external_ids": { "$ref": "#/components/schemas/ExternalIDs" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "template_id": { "$ref": "#/components/schemas/TemplateID" }, "pin_length": { "$ref": "#/components/schemas/PinLength" }, "abu_enabled": { "$ref": "#/components/schemas/ABUenabled" }, "contactless_enabled": { "$ref": "#/components/schemas/Contactless" }, "embossing_custom_field": { "$ref": "#/components/schemas/EmbossingCustomField" }, "embossing_group": { "$ref": "#/components/schemas/EmbossingGroup" }, "metadata": { "$ref": "#/components/schemas/Metadata" }, "mode_type": { "$ref": "#/components/schemas/ModeType" }, "validity_period_hours": { "$ref": "#/components/schemas/ValidityPeriodHours" } } }, "EmbossingCustomField": { "type": "string", "description": "For physical cards. Additional information for embossing company. For example: tracking number or whether the card should be plastic or metal. \n\nYou can use this field for any embossing needs specific to your business. Whatever is sent must be agreed upon with the embosser—what to send, what values to send, what format to send, what size to send for each value, and so on.\n", "example": "Tracking ID = 5859930", "maxLength": 1000 }, "EmbossingGroup": { "type": "string", "description": "Embossing group name. Clients can work with multi-embossers. You can use this field to notify an embosser about a card request. If this parameter is not passed, and you work with multi-embossers, the default embosser is used. For more information, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n", "minLength": 2, "maxLength": 32, "example": "EM1-embosser" }, "ExternalIDs": { "description": "Client assigned IDs for internal tracking purposes. One card is created for each ID. The maximum number of cards in one bulk/batch is 1000.\n\nIf you want to use more than 36 characters for your external IDs, please request a change in the embossing layout via a Jira ticket. By default, an embossing layout supports 36 digits for external IDs.\n", "type": "array", "maxLength": 1000, "minLength": 1, "items": { "type": "string", "maxLength": 255, "minLength": 1 }, "example": [ "8675309", "586038", "585603" ] }, "Metadata": { "type": "object", "description": "Any key-value object. Max length = 3200 bytes. This **must** be valid JSON data.", "example": { "my-custom-key": "my-custom-value" }, "maxLength": 3200 }, "ModeType": { "type": "string", "description": "Mode type enum - `SINGLE` or `COMBO`. A combo card can have both a credit and debit *mode*, meaning it is associated with both a credit and debit program and account. A single card has one mode - credit or debit. Refer to the [mode documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#create-a-combination-card-with-card-modes) in the Card overview guide for more information.\n", "example": "COMBO", "enum": [ "SINGLE", "COMBO" ] }, "PinLength": { "type": "integer", "description": "PIN length - 4 or 6 digits. Default is `4`.", "default": 4, "enum": [ 4, 6 ] }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 7654 }, "TemplateID": { "type": "string", "description": "Template ID. Templates are used to implement the BIN override feature. For more information, refer to the [BIN override](https://developers.pismo.io/pismo-docs/docs/bin-override-feature) guide.\n", "example": "EAFA693A-57B2-4029-97F3-D20D6F06D79B" }, "ValidityPeriodHours": { "type": "integer", "description": "How long, in hours, the card is valid. Cannot exceed the card's `expiration_date`. Once this period is exceeded, and the card has a `NORMAL`, `BLOCKED`, `PENDING`, `WARNING` or `REISSUED` status, its status becomes `INOPERATIVE`. \n\nThis field is used to calculate the datetime value for `valid_until`.\n\nFor `VIRTUAL` and `PLASTIC` cards. Setting this field for `TEMPORARY` or `RECURRING` cards returns a **400 Bad request** error. \n", "example": 240 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "409Conflict": { "description": "Specified resource status conflict with current request" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/cards/v1/bulks": { "post": { "operationId": "create-bulk", "summary": "Create noname card bulk", "description": "Create up to 1000 noname cards per bulk/batch process. After calling this endpoint, call [Start noname card bulk process](https://developers.pismo.io/pismo-docs/reference/start-bulk) to begin the bulk/batch card creation and embossing process.\n\nNoname cards are batch-generated and not initially associated with customers, which occurs later. Noname cards work well for special use cases like gift cards or in countries or scenarios where a password or chip might be required but not necessarily a printed card name.\n\nOne card is created for each `external_id` entered.\n\nFor more information on embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\nFor detailed information about embossing flows, refer to [Embossing flows](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing#embossing-flows).\n", "tags": [ "Noname" ], "requestBody": { "description": "Create bulk request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateBulk" } } } }, "responses": { "201": { "description": "Bulk created successfully", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/BulkResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "409": { "$ref": "#/components/responses/409Conflict" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```